<?php
//Activamos el almacenamiento en el buffer
ob_start();
if (strlen(session_id()) < 1) 
  session_start();

if (!isset($_SESSION["nombre"]))
{
  echo 'Debe ingresar al sistema correctamente para visualizar el reporte';
}
else
{
if ($_SESSION['ventas']==1)
{
//Incluímos el archivo Factura.php
require('Entrega.php');

//Establecemos los datos de la empresa

$logo = "logo.jpg";
$ext_logo = "jpg";
$empresa = "Consettur Machupicchu S.A.C.";
$documento = "Oficina de Control Patrimonial";
$direccion = " Leidy Estafanie Pino Quispe";
$telefono = "125";
$email = "patrimonio@consettur.com";

//Obtenemos los datos de la cabecera de la venta actual
require_once "../modelos/Venta.php";
$venta= new Venta();
$rsptav = $venta->ventacabecera($_GET["id"]);
//Recorremos todos los valores obtenidos
$regv = $rsptav->fetch_object();

//Establecemos la configuración de la pagina
$pdf = new PDF_Invoice( 'P', 'mm', 'A4' );
$pdf->AddPage();

//Enviamos los datos de la empresa al método addSociete de la clase Inventario


$pdf->addSociete( utf8_decode($empresa),
utf8_decode ($documento)."\n".
      utf8_decode("Resp. de entrega: ").utf8_decode($regv->verificador)."\n".
      utf8_decode("Anexo: ").$telefono."\n" .
"Email : ".$email,$logo,$ext_logo);
$pdf->fact_dev( "Alta de bien ","# $regv->idventa" );
$pdf->temporaire( "" );
$pdf->addDate( $regv->fecha);

//Enviamos los datos del cliente al método addClientAdresse de la clase Inventario
$pdf->addClientAdresse("Nombre y Apellido: ".utf8_decode($regv->cliente),"Cargo: ".utf8_decode($regv->nombre_c),"Area: ".utf8_decode($regv->nombre_a),"Sede: ".$regv->ubicacion);

//Establecemos las columnas que va a tener la sección donde mostramos los detalles de la venta
$cols=array( "CODIGO"=>23,
             "ARTICULO"=>78,
             "MARCA"=>25,
             //"MODELO"=>30,
             //"SERIE"=>40,
             //"COLOR"=>22,
             //"MEDIDAS"=>28,
             "OBSERVACIONES"=>37,
             "ESTADO"=>27);
$pdf->addCols( $cols);
$cols=array( "CODIGO"=>"C",
             "DESCRIPCION"=>"L",
             "MARCA"=>"C",
             //"MODELO"=>"C",
             //"SERIE" =>"C",
             //"COLOR"=>"C",
             //"MEDIDAS"=>"C",
             "OBSERVACIONES"=>"L",
             "ESTADO"=>"C");
$pdf->addLineFormat( $cols);
$pdf->addLineFormat($cols);
//Actualizamos el valor de la coordenada "y", que será la ubicación desde donde empezaremos a mostrar los datos
$y= 80;

//Obtenemos todos los detalles de la venta actual
$rsptad = $venta->ventadetalle($_GET["id"]);

while ($regd = $rsptad->fetch_object()) {
  $line = array( "CODIGO"=> "$regd->cod_patri",
                "ARTICULO"=> utf8_decode("$regd->articulo"),
                "MARCA"=> "$regd->marca",
                //"MODELO"=> "$regd->modelo",
                //"SERIE" => "$regd->serie",
                //"COLOR"=> "$regd->color",
                //"MEDIDAS"=> "$regd->medidas",
                "OBSERVACIONES"=> "$regd->observacion",
                "ESTADO"=> "$regd->estado");
            $size = $pdf->addLine( $y, $line );
            $y   += $size + 2;
}

//Convertimos el total en letras
require_once "Letras.php";
$V=new EnLetras(); 
$con_letra=strtoupper($V->ValorEnLetras($regv->total_venta,"NUEVOS SOLES"));
$pdf->addCadreTVAs("------------------------------------------------");

//Mostramos el impuesto
$pdf->addTVAs( $regv->impuesto, $regv->total_venta,"S/ ");
$pdf->addCadreEurosFrancs("IGV"." $regv->impuesto %");
$pdf->Output('Reporte de Venta','I');


}
else
{
  echo 'No tiene permiso para visualizar el reporte';
}

}
ob_end_flush();
?>